<?php
/**********************************************************************************
* Seo4Smf.template.php													   		  *															
***********************************************************************************
*																				  *
* SMFMOD SEO4SMF v3.1														 	  *
* Copyright (c) 2011 by SmfMod.com. All rights reserved.					 	  *
* Powered by www.smfmod.com		    											  *
* Created by hhy89 for SmfMod.com												  *
*																				  *
**********************************************************************************/

function template_seo4smf_version()
{
	global $context, $txt, $settings, $sourcedir, $scripturl, $modSettings;
	
	$seo4smf_version = '3.1.5';
	
	echo'<div class="cat_bar">
			<h3 class="catbg">
				', $txt['seo4smf_quick_links'],'
			</h3>
		</div>
		<div class="windowbg2 clear_right">
			<span class="topslice"><span></span></span>
				<div class="content">
					<ul class="flow_hidden" id="quick_tasks">';
						foreach ($context['seo4smf_menu'] AS $item => $array)
							echo'
								<li>
									<a href="', $array[0], '"><img class="home_image png_fix" alt="" src="'.$settings['default_images_url'].'/seo/', $array[1], '"></a>
									<h5><a href="', $array[0], '">', $txt['seo4smf_admin_' . $item], '</a></h5>
									<span class="task">'.$txt['seo4smf_admin_' . $item . '_desc'].'</span>
								</li>';
				echo'
					</ul>
				</div>
			<span class="botslice clear"><span></span></span>
		</div>';
	 
}

function template_seo4smf_sitemap_index()
{
    global $scripturl, $context, $txt; 

    echo '
    <div style="width: 60%; margin-left: auto; margin-right: auto;">
    	<div class="cat_bar">
				<h3 class="catbg">
					<span class="ie6_header floatleft">', $txt['seo4smf_sitemap'], ' - ', $context['forum_name'], '</span>
				</h3>
		</div>
		<div class="windowbg2">
			<span class="topslice"><span></span></span>
			<div class="content">';
				foreach ($context['jump_to'] as $category)
				{
					echo'
					<span style="font-size: 1.1em; font-weight: bold;">', $category['name'], '</span>:<br />
					<ul style="list-style: none;">';
						foreach ($category['boards'] as $board)
							echo '
							<li style="padding-left: 10px;">' . str_repeat('&nbsp;&nbsp;&nbsp; ', $board['child_level']) . ' <a href="'.$scripturl.'?action=sitemap;b='.$board['id'].'">' . $board['name'] . '</a></li>';
					
					echo'
					</ul><br />';		
				}
			echo'
			</div>
			<span class="botslice"><span></span></span>
		</div>
		<a href="', $scripturl, '?action=sitemap;xml">XML Format</a>
    </div>';
}

function template_seo4smf_sitemap_board()
{
    global $scripturl, $context, $txt; 
	
	$topic_number = isset($_REQUEST['start']) ? $_REQUEST['start'] : 0;
	
    echo '
    <div style="width: 60%; margin-left: auto; margin-right: auto;">
	    <div class="pagesection">
				<div class="pagelinks floatleft">', $txt['pages'], ': ', $context['page_index'], '</div>
		</div>
		<div class="cat_bar">
				<h3 class="catbg">
					<span class="ie6_header floatleft">', $txt['seo4smf_sitemap'], ' - ', $context['board']['board_name'], '</span>
				</h3>
		</div>';
		
		if (!empty($context['seo4smf_description']))
			echo'
				<div class="description">
					', $context['seo4smf_description'], '
				</div>';
				
		echo'
		<div class="windowbg2">
			<span class="topslice"><span></span></span>
			<div class="content"><ul style="list-style: none;">';
			
				if (!empty($context['topics']))
					foreach ($context['topics'] as $topic)
					{
						++$topic_number;
						
						echo '
						<li>', $topic_number, '. <a href="', $scripturl, '?topic=', $topic['id_topic'], '.0">', $topic['subject'], '</a></li>';
					}
				else
					echo'
						<li>', $txt['msg_alert_none'], '</li>';
					
			echo'
			</ul></div>
			<span class="botslice"><span></span></span>
		</div>
		<div class="pagesection">
				<div class="pagelinks floatleft">', $txt['pages'], ': ', $context['page_index'], '</div>
		</div>
	</div>';
}

function template_seo4smf_sitemap_xml_index()
{
    global $scripturl, $boardurl, $context;

     echo'<?xml version="1.0" encoding="'.$context['character_set'].'"?' . '>
	 <?xml-stylesheet type="text/xsl" href="'.$boardurl.'/Seo4SmfSitemapStyle.php?style=1"?>
	<sitemapindex xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://www.sitemaps.org/schemas/sitemap/0.9
	http://www.sitemaps.org/schemas/sitemap/0.9/siteindex.xsd"
	xmlns="http://www.sitemaps.org/schemas/sitemap/0.9">';
	
		if (!empty($context['boards']))
	    foreach ($context['boards'] as $board)
				echo '
				<sitemap>
			      <loc>', $scripturl, '?action=sitemap;xml;b=', $board['id'], '</loc>
			      <lastmod>', $board['poster_time'], '</lastmod>
		        </sitemap>';
		
	echo'</sitemapindex> ';  
}

function template_seo4smf_sitemap_xml_board()
{
    global $scripturl, $boardurl, $context;

     echo'<?xml version="1.0" encoding="'.$context['character_set'].'"?' . '>
	 <?xml-stylesheet type="text/xsl" href="'.$boardurl.'/Seo4SmfSitemapStyle.php?style=2"?>
	 <urlset xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://www.sitemaps.org/schemas/sitemap/0.9
	http://www.sitemaps.org/schemas/sitemap/0.9/sitemap.xsd"
	xmlns="http://www.sitemaps.org/schemas/sitemap/0.9">';

	if (!empty($context['board']))
		foreach ($context['board'] as $board)
			echo '
				<url>
					<loc>', $board['loc'], '</loc>
					<lastmod>', $board['poster_time'], '</lastmod>
					<changefreq>', $board['frequency'], '</changefreq>
					<priority>', $board['priority'], '</priority>
				</url>';
	
	if (!empty($context['topics']))
		foreach ($context['topics'] as $topic)
			echo '
				<url>
					<loc>', $topic['loc'], '</loc>
					<lastmod>', $topic['poster_time'], '</lastmod>
					<changefreq>', $topic['frequency'], '</changefreq>
					<priority>', $topic['priority'],'</priority>
				</url>';

echo '</urlset>';  
}
?>